//  RW Abstract
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/cognate/abstract.hpp
// -Declarations of the baseline RW Abstract sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
/**
 */
class Abstract_b : public RW {
 public:
  Abstract_b();                                    // default ctor
  explicit Abstract_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Abstract : public Abstract_b {
 public:
  Abstract();                                    // default ctor
  explicit Abstract(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220521
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
