//   RW Concept
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/cognate/concept.cpp
// -Definitions of the baseline RW Concept sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Concept_b::Concept_b() : Concept_b{"concept_b_obj"} {}

//------------------------------------------------------------------------------
Concept_b::Concept_b(std::string const& handle) : RW{handle, Type::Concept} {
  stamp("Concept_b()");
}

//------------------------------------------------------------------------------
Concept::Concept() : Concept{"concept_obj"} {}

//------------------------------------------------------------------------------
Concept::Concept(std::string const& handle) : Concept_b{handle} {
  stamp("Concept()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220521
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
