//   RW Kotoko
// ==============
// Demonstration of a Chibitsu-grade robowaifu
// -Part of the RW Foundations suite of libraries

// Filename: ./src/chibitsu/kotoko.cpp
// -Definitions of the baseline RW Kotoko project subsystem

#include "incls_all.hpp"

namespace rw::chibitsu {

//------------------------------------------------------------------------------
Kotoko_b::Kotoko_b() : Kotoko_b{"kotoko_b_obj"} {}

//------------------------------------------------------------------------------
Kotoko_b::Kotoko_b(std::string const& handle) : Chibitsu{handle} {
  stamp("Kotoko_b()");
}

//------------------------------------------------------------------------------
Kotoko::Kotoko() : Kotoko{"kotoko_obj"} {}

//------------------------------------------------------------------------------
Kotoko::Kotoko(std::string const& handle) : Kotoko_b{handle} {
  stamp("Kotoko()");
}

//------------------------------------------------------------------------------
auto Kotoko::do_preflight() -> bool {
  stamp("do_preflight()");

  // TODO:
  // do actual initialization here. eg, turn off embedded object's unneeded
  // members, ensure filesets are available & ready, connections are working,
  // etc., etc., etc.  :^)
  //

  // TODO: create an integrated systems/status terminal suite. mv this there.
  // -status msgs into one terminal, diag spew into another.
  // STATUS:
  cout << ' ' << hdl() << " checks out A-OK!\n";
  return true;  // TEMP:
}

}  // namespace rw::chibitsu

//    --=^=--

// "She's hopeless, why do I even bother?"

// rw_chibitsu_lib.v220521
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
