//    RW Board
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/bumpmaster/board.cpp
// -Definitions of the baseline RW Board sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
Board_b::Board_b(Hip const& tag, std::string const& handle)
    : RW_slave{{Type::Bumpmaster}, handle} {
  stamp("Board_b()");

  bind_master(tag);
}

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v220521
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
