//  RW Gymnasium
// ==============
// Robowaifu Physical Training Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/gymnasium/gymnasium.cpp
// -Definitions of the baseline RW Gymnasium sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::sensei {

//------------------------------------------------------------------------------
Gymnasium_b::Gymnasium_b() : Gymnasium_b{"gymnasium_b_obj"} {}

//------------------------------------------------------------------------------
Gymnasium_b::Gymnasium_b(std::string const& handle)
    : RW{handle, Type::Gymnasium} {
  stamp("Gymnasium_b()");
}

//------------------------------------------------------------------------------
Gymnasium::Gymnasium() : Gymnasium{"gymnasium_obj"} {}

//------------------------------------------------------------------------------
Gymnasium::Gymnasium(std::string const& handle) : Gymnasium_b{handle} {
  stamp("Gymnasium()");
}

}  // namespace rw::curator::sensei

//    --=^=--

// "______"

// rw_curator_lib.v220521
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
