//   RW Hearsay
// ==============
// Speech Recognition & Synthesis Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/hearsay/hearsay.hpp
// -Declarations of the baseline RW Hearsay library

#pragma once

#include "incls_all.hpp"

namespace rw::hearsay {

//------------------------------------------------------------------------------
/**
 */
class Hearsay_b : public RW {
 public:
  Hearsay_b();                                    // default ctor
  explicit Hearsay_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Hearsay : public Hearsay_b {
 public:
  Hearsay();                                    // default ctor
  explicit Hearsay(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::hearsay

//    --=^=--

// "______"

// rw_hearsay_lib.v220521
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
