// RW Waifusearch
// ==============
// Fast Imageboard Searching Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/waifusearch/waifusearch.cpp
// -Definitions of the baseline RW Waifusearch sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::waifusearch {

//------------------------------------------------------------------------------
Waifusearch_b::Waifusearch_b() : Waifusearch_b{"waifusearch_b_obj"} {}

//------------------------------------------------------------------------------
Waifusearch_b::Waifusearch_b(std::string const& handle)
    : RW{handle, Type::Waifusearch} {
  stamp("Waifusearch_b()");
}

//------------------------------------------------------------------------------
Waifusearch::Waifusearch() : Waifusearch{"waifusearch_obj"} {}

//------------------------------------------------------------------------------
Waifusearch::Waifusearch(std::string const& handle) : Waifusearch_b{handle} {
  stamp("Waifusearch()");
}

}  // namespace rw::curator::waifusearch

//    --=^=--

// "______"

// rw_curator_lib.v220521
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
